Bug 121321 - TODO: 3.3.0 schema push
TODO: 3.3.0 schema push
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Srinivas Are
Fanny Augustin
:
Depends On:
Blocks: 111817
  Show dependency treegraph
 
Reported: 2004-04-20 09:58 EDT by Peter Jones
Modified: 2007-10-23 22:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-17 11:42:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
schema for rhn 3.3.0 push (38.82 KB, application/octet-stream)
2004-04-20 09:59 EDT, Peter Jones
no flags Details
changes files for the second qa push of rhn 3.3.0 (44.26 KB, text/plain)
2004-05-03 11:33 EDT, Peter Jones
no flags Details
3rd version of schema change scripts (45.67 KB, application/octet-stream)
2004-05-05 00:25 EDT, Peter Jones
no flags Details

  None (edit)
Description Peter Jones 2004-04-20 09:58:58 EDT
This bug is to track the push of the RHN schema for 3.3.0.

There's an attached file, 330-rendered.tar.gz.  The contents are:

330-rendered/
330-rendered/changes/
330-rendered/changes/dev/
330-rendered/changes/dev/330.1.rhn.sql
330-rendered/changes/dev/330.2.rhnuser.sql
330-rendered/changes/dev/add-kickstartsessionstate-data.113914.1.rhnuser.sql
330-rendered/changes/dev/admin-names.1.rhn.sql
330-rendered/changes/dev/cryptokey-unique-desc.1.rhn.sql
330-rendered/changes/dev/kickstart-deploy-configs.1.rhn.sql
330-rendered/changes/dev/kickstart_from_host.1.rhn.sql
330-rendered/changes/dev/parent_self_id-114057.1.rhn.sql
330-rendered/changes/dev/serveractionverify.1.rhn.sql
330-rendered/changes/dev/serveractionverify.2.rhnuser.sql
330-rendered/changes/dev/server-uuid.1.rhn.sql
330-rendered/changes/dev/server-uuid.2.rhnuser.sql
330-rendered/changes/dev/split-channel-perms.1.rhn.sql
330-rendered/changes/dev/split-channel-perms.2.rhnuser.sql
330-rendered/rhn/
330-rendered/rhn/packages/
330-rendered/rhn/packages/rhn_channel.pkb
330-rendered/rhn/packages/rhn_channel.pks
330-rendered/rhn/packages/rhn_entitlements.pkb
330-rendered/rhn/packages/rhn_entitlements.pks
330-rendered/rhn/packages/rhn_ep.pkb
330-rendered/rhn/packages/rhn_ep.pks
330-rendered/rhn/packages/rhn_org.pkb
330-rendered/rhn/packages/rhn_org.pks
330-rendered/rhn/packages/rhn_user.pkb
330-rendered/rhn/packages/rhn_user.pks
330-rendered/rhn/procs/
330-rendered/rhn/procs/create_first_org.sql
330-rendered/rhn/procs/create_new_org.sql
330-rendered/rhn/procs/delete_server_bulk.sql
330-rendered/rhn/procs/delete_server.sql
330-rendered/rhn/tables/
330-rendered/rhn/tables/rhnPrivateChannelFamily_grants.sql
330-rendered/rhn/tables/rhnPrivateChannelFamily_synonyms.sql
330-rendered/rhn/tables/rhnPublicChannelFamily_grants.sql
330-rendered/rhn/tables/rhnPublicChannelFamily.sql
330-rendered/rhn/tables/rhnPublicChannelFamily_synonyms.sql
330-rendered/rhn/tables/rhnServerActionVerifyResult_grants.sql
330-rendered/rhn/tables/rhnServerActionVerifyResult.sql
330-rendered/rhn/tables/rhnServerActionVerifyResult_synonyms.sql
330-rendered/rhn/tables/rhnServerUuid_grants.sql
330-rendered/rhn/tables/rhnServerUuid.sql
330-rendered/rhn/tables/rhnServerUuid_synonyms.sql
330-rendered/rhn/views/
330-rendered/rhn/views/rhnAvailableChannels_grants.sql
330-rendered/rhn/views/rhnAvailableChannels.sql
330-rendered/rhn/views/rhnAvailableChannels_synonyms.sql
330-rendered/rhn/views/rhnChannelFamilyOverview_grants.sql
330-rendered/rhn/views/rhnChannelFamilyOverview.sql
330-rendered/rhn/views/rhnChannelFamilyOverview_synonyms.sql
330-rendered/rhn/views/rhnChannelFamilyPermissions_grants.sql
330-rendered/rhn/views/rhnChannelFamilyPermissions.sql
330-rendered/rhn/views/rhnChannelFamilyPermissions_synonyms.sql
330-rendered/rhn/views/rhnChannelPermissions_grants.sql
330-rendered/rhn/views/rhnChannelPermissions.sql
330-rendered/rhn/views/rhnChannelPermissions_synonyms.sql
330-rendered/rhn/views/rhnChannelTreeView_grants.sql
330-rendered/rhn/views/rhnChannelTreeView.sql
330-rendered/rhn/views/rhnChannelTreeView_synonyms.sql
330-rendered/rhn/views/rhnOrgChannelFamilyPermissions_grants.sql
330-rendered/rhn/views/rhnOrgChannelFamilyPermissions.sql
330-rendered/rhn/views/rhnOrgChannelFamilyPermissions_synonyms.sql
330-rendered/rhn/views/rhnOrgChannelTreeView_grants.sql
330-rendered/rhn/views/rhnOrgChannelTreeView.sql
330-rendered/rhn/views/rhnOrgChannelTreeView_synonyms.sql
330-rendered/rhn/views/rhnUserAvailableChannels_grants.sql
330-rendered/rhn/views/rhnUserAvailableChannels.sql
330-rendered/rhn/views/rhnUserAvailableChannels_synonyms.sql
330-rendered/rhn/views/rhnUserChannelFamilyPerms_grants.sql
330-rendered/rhn/views/rhnUserChannelFamilyPerms.sql
330-rendered/rhn/views/rhnUserChannelFamilyPerms_synonyms.sql
330-rendered/rhn/views/rhnUserChannel_grants.sql
330-rendered/rhn/views/rhnUserChannel.sql
330-rendered/rhn/views/rhnUserChannel_synonyms.sql
330-rendered/rhn/views/rhnUserChannelTreeView_grants.sql
330-rendered/rhn/views/rhnUserChannelTreeView.sql
330-rendered/rhn/views/rhnUserChannelTreeView_synonyms.sql

To deploy the schema, do this:

tar xzf 330-rendered.tar.gz
cd 330-rendered
sqlplus rhn@webqa @changes/dev/330.1.rhn.sql
[enter password]
sqlplus rhnuser@webqa @changes/dev/330.2.rhnuser.sql
[enter password]

That is all.
Comment 1 Peter Jones 2004-04-20 09:59:56 EDT
Created attachment 99560 [details]
schema for rhn 3.3.0 push
Comment 2 Matt Jamison 2004-04-21 15:16:14 EDT
test plan?
Comment 3 Peter Jones 2004-04-21 16:06:24 EDT
Everything went ok to QA, I'm just going to close this.
Comment 4 Peter Jones 2004-05-03 11:33:39 EDT
Created attachment 99914 [details]
changes files for the second qa push of rhn 3.3.0
Comment 5 Peter Jones 2004-05-03 11:36:10 EDT
Here's the contents of the file for the second qa push of 3.3.0:

changes-330-rendered
changes-330-rendered/changes
changes-330-rendered/changes/dev
changes-330-rendered/changes/dev/serveractionverify.2.rhnuser.sql
changes-330-rendered/changes/dev/split-channel-perms.1.rhn.sql
changes-330-rendered/changes/dev/330.3.rhn.sql
changes-330-rendered/changes/dev/server-uuid.1.rhn.sql
changes-330-rendered/changes/dev/kickstart_from_host.1.rhn.sql
changes-330-rendered/changes/dev/server-uuid.2.rhnuser.sql
changes-330-rendered/changes/dev/330.1.rhn.sql
changes-330-rendered/changes/dev/parent_self_id-114057.1.rhn.sql
changes-330-rendered/changes/dev/serveractionverify.1.rhn.sql
changes-330-rendered/changes/dev/330.2.rhnuser.sql
changes-330-rendered/changes/dev/kickstart-deploy-configs.1.rhn.sql
changes-330-rendered/changes/dev/split-channel-perms.2.rhnuser.sql
changes-330-rendered/changes/dev/add-kickstartsessionstate-data.113914.1.rhnuser.sql
changes-330-rendered/changes/dev/admin-names.1.rhn.sql
changes-330-rendered/changes/dev/cryptokey-unique-desc.1.rhn.sql
changes-330-rendered/rhn
changes-330-rendered/rhn/tables
changes-330-rendered/rhn/tables/rhnServerUuid_synonyms.sql
changes-330-rendered/rhn/tables/rhnServerUuid_grants.sql
changes-330-rendered/rhn/tables/rhnPublicChannelFamily.sql
changes-330-rendered/rhn/tables/rhnPublicChannelFamily_grants.sql
changes-330-rendered/rhn/tables/rhnPrivateChannelFamily_synonyms.sql
changes-330-rendered/rhn/tables/rhnServerUuid.sql
changes-330-rendered/rhn/tables/rhnPrivateChannelFamily_grants.sql
changes-330-rendered/rhn/tables/rhnServerActionVerifyResult.sql
changes-330-rendered/rhn/tables/rhnServerActionVerifyResult_synonyms.sql
changes-330-rendered/rhn/tables/rhnServerActionVerifyResult_grants.sql
changes-330-rendered/rhn/tables/rhnPublicChannelFamily_synonyms.sql
changes-330-rendered/rhn/packages
changes-330-rendered/rhn/packages/rhn_entitlements.pkb
changes-330-rendered/rhn/packages/rhn_org.pks
changes-330-rendered/rhn/packages/rhn_org.pkb
changes-330-rendered/rhn/packages/rhn_ep.pks
changes-330-rendered/rhn/packages/rhn_channel.pkb
changes-330-rendered/rhn/packages/rhn_entitlements.pks
changes-330-rendered/rhn/packages/rhn_ep.pkb
changes-330-rendered/rhn/packages/rhn_server.pks
changes-330-rendered/rhn/packages/rhn_user.pks
changes-330-rendered/rhn/packages/rhn_server.pkb
changes-330-rendered/rhn/packages/rhn_channel.pks
changes-330-rendered/rhn/packages/rhn_user.pkb
changes-330-rendered/rhn/procs
changes-330-rendered/rhn/procs/delete_server_bulk.sql
changes-330-rendered/rhn/procs/delete_server.sql
changes-330-rendered/rhn/procs/create_first_org.sql
changes-330-rendered/rhn/procs/create_new_org.sql
changes-330-rendered/rhn/views
changes-330-rendered/rhn/views/rhnChannelPermissions_grants.sql
changes-330-rendered/rhn/views/rhnUserChannelTreeView.sql
changes-330-rendered/rhn/views/rhnUserChannelFamilyPerms_grants.sql
changes-330-rendered/rhn/views/rhnUserChannel_grants.sql
changes-330-rendered/rhn/views/rhnChannelFamilyPermissions_synonyms.sql
changes-330-rendered/rhn/views/rhnUserAvailableChannels_synonyms.sql
changes-330-rendered/rhn/views/rhnChannelTreeView_synonyms.sql
changes-330-rendered/rhn/views/rhnOrgChannelTreeView.sql
changes-330-rendered/rhn/views/rhnUserAvailableChannels_grants.sql
changes-330-rendered/rhn/views/rhnChannelFamilyPermissions_grants.sql
changes-330-rendered/rhn/views/rhnUserChannel.sql
changes-330-rendered/rhn/views/rhnOrgChannelTreeView_grants.sql
changes-330-rendered/rhn/views/rhnUserChannelTreeView_synonyms.sql
changes-330-rendered/rhn/views/rhnUserChannelFamilyPerms.sql
changes-330-rendered/rhn/views/rhnOrgChannelFamilyPermissions_grants.sql
changes-330-rendered/rhn/views/rhnAvailableChannels.sql
changes-330-rendered/rhn/views/rhnOrgChannelFamilyPermissions_synonyms.sql
changes-330-rendered/rhn/views/rhnOrgChannelTreeView_synonyms.sql
changes-330-rendered/rhn/views/rhnUserAvailableChannels.sql
changes-330-rendered/rhn/views/rhnAvailableChannels_synonyms.sql
changes-330-rendered/rhn/views/rhnChannelTreeView.sql
changes-330-rendered/rhn/views/rhnChannelTreeView_grants.sql
changes-330-rendered/rhn/views/rhnChannelFamilyOverview_grants.sql
changes-330-rendered/rhn/views/rhnChannelFamilyPermissions.sql
changes-330-rendered/rhn/views/rhnChannelFamilyOverview_synonyms.sql
changes-330-rendered/rhn/views/rhnUserChannelTreeView_grants.sql
changes-330-rendered/rhn/views/rhnChannelPermissions.sql
changes-330-rendered/rhn/views/rhnAvailableChannels_grants.sql
changes-330-rendered/rhn/views/rhnUserChannelFamilyPerms_synonyms.sql
changes-330-rendered/rhn/views/rhnOrgChannelFamilyPermissions.sql
changes-330-rendered/rhn/views/rhnChannelPermissions_synonyms.sql
changes-330-rendered/rhn/views/rhnChannelFamilyOverview.sql
changes-330-rendered/rhn/views/rhnUserChannel_synonyms.sql

We've already run 330.1.rhn.sql and 330.2.rhnuser.sql, so all we need
is 330.3.rhn.sql.  The process then is this:

tar xzf changes-330-rendered.tar.gz
cd changes-330-rendered
sqlplus rhn@webqa @changes/dev/330.3.rhn.sql

Comment 6 Peter Jones 2004-05-05 00:25:26 EDT
Created attachment 99975 [details]
3rd version of schema change scripts
Comment 7 Peter Jones 2004-05-05 00:32:28 EDT
This is the for the third push to qa.  This time we only need to run 4
and 5, so the process is:

tar xzf changes-330-rendered.tar.gz
cd changes-330-rendered
sqlplus rhn@webqa @changes/dev/330.4.rhn.sql
sqlplus rhnuser@webqa @changes/dev/330.5.rhnuser.sql

The tar file to use is the attachment on comment #6 for this bug.

Note You need to log in before you can comment on or make changes to this bug.